%define LANG pl
%define releasedate 01-04-2004

Summary: Man pages in polish language
Name: man-pages-%LANG
Version: 0.4
Release: 8mdk
License: GPL
Group: System/Internationalization
Source: http:/ptm.linux.pl/man-PL%{releasedate}.tar.bz2
Icon: books-%LANG.xpm
URL: http://ptm.linux.pl/
Buildroot: %_tmppath/%name-root
BuildRequires: man => 1.5j-8mdk
Requires: locales-%LANG, man => 1.5j-8mdk
Prereq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Obsoletes: man-%LANG, manpages-%LANG
Provides: man-%LANG, manpages-%LANG


%description
A collection of man pages for Linux in polish language

%prep
%setup -q -n pl_PL

%build
for i in 1 2 3 4 5 6 7 8 9 n; do
        rm -rf man$i/CVS
done

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_mandir/%LANG/
mkdir -p $RPM_BUILD_ROOT/var/catman/%LANG/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8 9 n; do
	cp -adpvrf man$i $RPM_BUILD_ROOT/%_mandir/%LANG/
done

# those files conflict whith rpm package
rm $RPM_BUILD_ROOT/%_mandir/pl/man8/rpm{2cpio,}.8

# those files conflict whith dpkg package
rm $RPM_BUILD_ROOT/%_mandir/pl/man{1/dpkg-deb.1,8/dpkg{-split,}.8}

# spechelper fails here!!!
#find $RPM_BUILD_ROOT/%_mandir -type f -exec bzip2 -9f {} \;

LANG=%LANG DESTDIR=$RPM_BUILD_ROOT /usr/sbin/makewhatis $RPM_BUILD_ROOT/%_mandir/%LANG

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LANG.cron << EOF
#!/bin/bash
LANG=%LANG /usr/sbin/makewhatis %_mandir/%LANG
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LANG.cron

mkdir -p  $RPM_BUILD_ROOT/var/cache/man/%LANG


%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%LANG, if there isn't any man page
   ## directory /%_mandir/%LANG
   if [ ! -d %_mandir/%LANG ] ; then
       rm -rf /var/catman/%LANG
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,man,0755)
%doc FAQ ChangeLog
%defattr(644,root,man,755)
%dir %_mandir/%LANG
%dir /var/cache/man/%LANG
%config(noreplace) /var/cache/man/%LANG/whatis
/%_mandir/%LANG/man*
%attr(755,root,man)/var/catman/%LANG
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%LANG.cron

%changelog
* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-8mdk
- 20040401 snapshot

* Thu May 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-7mdk
- further conflict cleaning

* Thu May 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-6mdk
- fix conflict with dpkg

* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-5mdk
- 2002-11-21 snapshot
- remova missing doc

* Wed May 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-4mdk
- use new man-pages-LG template
    - don't rebuild whatis on install since
      - we've already build in package
      - cron will rebuild it nightly and so add other package french man pages
    - adapt to new man-pages-LG template
    - requires man => 1.5j-8mdk for new man-pages framework
    - remove old makewhatis.%LANG since default makewhatis is now able to parse
      non english man pages
    - use new std makewhatis to build whatis in spec and in cron entry 
    - whatis db goes into /var/cache/man (so enable ro /usr)
    - standard {Build,}Requires/buildroot/prereq/arc/provides/obsoletes
    - remove translations


* Thu Mar 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-3mdk
- fix permission on /usr/share/man/id/*
- provides manpages-%%LANG
- don't overwrite crontab if user altered it

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.4-2mdk
- Use %%_tmppath for BuildRoot

* Wed Aug 30 2000 Denis Havlik <denis@mandrakesoft.com> 0.4-1mdk
- updated to newest (aug 16-th 2000) version. many new man-pages...

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3-7mdk
- BM

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3-6mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS.

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.3-5mdk
- Group: System/Internationalization
- dir permissions

* Mon Jan 10 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- removed rpm(8), it conflicts with file provided by rpm

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%LANG from /usr/local/sbin to /usr/sbin

* Tue Oct 21 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed Requires typo

*Sat Oct 9 1999 Pawe Jaboski <pj@linux-mandrake.com>
- updated man pages

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added makewhatis.pl and its cron entry
- use a lot of macro %LANG (that helps me to do cut-n-paste between
  various man-pages-* packages to add new ideas/features on all of them :) )

* Fri Jul 19 1999 Pawe Jaboski <pj@linux-mandrake.com>
- Initial Mandrake rpm version

